#include < amxmodx >
#include < amxmisc >
	#include < rz_vip_core >

#define _PLUGIN     "[RZ] VIP Boardscore"
#define _VERSION            "1.0"
#define _AUTHOR          "H.RED.ZONE"

// Enum for None, Dead, Bomb, And Vip Message Players.
enum ( <<= 1 ) {
	_SCORE_FLAG_NONE = 0,
	_SCORE_FLAG_DEAD = 1,
	_SCORE_FLAG_BOMB,
	_SCORE_FLAG_VIP
}

// Enum for Players ID And His Score in Frags.
enum {
	_SCORE_ARG_PLAYERID = 1,
	_SCORE_ARG_FLAGS
}

// Cvars.
new _pCvarVipBoardMessage

// This Will Be Called When Map Is Loaded.
public plugin_init( ) {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Cvars.
	_pCvarVipBoardMessage = register_cvar( "rz_vip_board_message", "1" )
	
	// Register Message.
	register_message( get_user_msgid("ScoreAttrib"), "MessageScoreAttrib" );
}

// Message On Score. Credits To Exolent For This Code.
public MessageScoreAttrib( iMsgId, iDest, iReceiver ) {
	
	// If Cvar Is On.
	if( get_pcvar_num(_pCvarVipBoardMessage) == 1 ) {
		
		// Get Player's ID From Scoreboard.
		new iPlr = get_msg_arg_int( _SCORE_ARG_PLAYERID )
        
		// Is User Alive.
		if( is_user_alive(iPlr) && 
		
		// Is User VIP.
		rz_is_user_vip(iPlr) ) {
			
			// Set The Message VIP.
			set_msg_arg_int( _SCORE_ARG_FLAGS, ARG_BYTE, _SCORE_FLAG_VIP )
		}
	}
}  

