#include < amxmodx >
#include < fun >
#include < hamsandwich >
#include < zp50_core >
	#include < rz_vip_core >

#define _PLUGIN      "[RZ] VIP Health"
#define _VERSION          "1.0"
#define _AUTHOR        "H.RED.ZONE"

// Cvars.
new _pCvarVipHealthAmount

// This Will Be Called When Map Is Loaded.
public plugin_init() {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Ham Player Spawned.
	RegisterHam( Ham_Spawn, "player", "_FwPlayerSpawnPost", 1 )
	
	// Cvars.
	_pCvarVipHealthAmount = register_cvar( "rz_vip_health_amount", "100" )
}

// Called When Player Spawns.
public _FwPlayerSpawnPost( plr ) {

	// If Is User Alive.
	if( is_user_alive(plr) ) {

		// If Is User VIP.
		if( rz_is_user_vip(plr) ) {
			
			// Call Forward.
			set_task( 1.0, "_AddVipHealth", plr )
		}
	}
}

// Add Player Health.
public _AddVipHealth( plr ) {
	
	// If Is User Alive.
	if( is_user_alive(plr) ) {
		
		// If User Is Not Zombie.
		if( !zp_core_is_zombie(plr) ) {
			
			// Set User Health.
			set_user_health( plr, get_user_health(plr) + get_pcvar_num(_pCvarVipHealthAmount) ) 
		}
	}
}
