#include < amxmodx >
#include < cstrike >
#include < fun >
#include < hamsandwich >
#include < zp50_core >
	#include < rz_vip_core >

#define _PLUGIN      "[RZ] VIP Bombs"
#define _VERSION          "1.0"
#define _AUTHOR        "H.RED.ZONE"

// Cvars.
new _pCvarVipGetFireGrenade
	,_pCvarVipGetFreezeGrenade
	,_pCvarVipGetFlareGrenade
	,_pCvarVipGetInfectGrenade
	,_pCvarVipGetInfectAmount

// This Will Be Called When Map Is Loaded.
public plugin_init( ) {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Cvars.
	_pCvarVipGetFireGrenade = register_cvar( "rz_vip_firenade_amount", "2" )
	_pCvarVipGetFreezeGrenade = register_cvar( "rz_vip_freezenade_amount", "2" )
	_pCvarVipGetFlareGrenade = register_cvar( "rz_vip_flarenade_amount", "2" )
	_pCvarVipGetInfectGrenade = register_cvar( "rz_vip_infectnade_get", "0" )
	_pCvarVipGetInfectAmount = register_cvar( "rz_vip_infectnade_amount", "1" )
		
	// Ham Player Spawned.
	RegisterHam( Ham_Spawn, "player", "FW__PlayerSpawn_Post", 1 )
}

// Called When Player Spawns.
public FW__PlayerSpawn_Post( plr ) {

	// If Is User Alive.
	if( is_user_alive(plr)

	// If Is User VIP.
	&& rz_is_user_vip(plr) ) {
			
		// Set Task And Call Forward.
		set_task( 0.5, "_Vip_get_Bombs", plr )
	}
}

public _Vip_get_Bombs( plr ) {
	
	// If Is User Alive.
	if( is_user_alive(plr)

	// If Is User Not Zombie.
	&& !zp_core_is_zombie(plr) ) {	
				
	
		// Give Players Bombs.
		give_item( plr, "weapon_flashbang" )
		give_item( plr, "weapon_hegrenade" )
		give_item( plr, "weapon_smokegrenade" )
			
		// Set Amount Of Grenades.
		cs_set_user_bpammo( plr, CSW_FLASHBANG, get_pcvar_num(_pCvarVipGetFreezeGrenade) )
		cs_set_user_bpammo( plr, CSW_SMOKEGRENADE, get_pcvar_num(_pCvarVipGetFlareGrenade) )
		cs_set_user_bpammo( plr, CSW_HEGRENADE, get_pcvar_num(_pCvarVipGetFireGrenade) )
	}		
}


// Called When Player Is Cured.
public zp_fw_core_cure( plr ) {
	
	// If Is User Connected.
	if( is_user_alive(plr)

	// If Is User VIP.
	&& rz_is_user_vip(plr) ) {
			
		// Set Task And Call Forward.
		set_task( 0.5, "_Vip_get_Bombs", plr )
	}
}

// Called When Player Is Infected.
public zp_fw_core_infect( plr ) {
	
	// If Is User Alive.
	if( is_user_alive(plr)
		
	// If Is User VIP.
	&& rz_is_user_vip(plr)
			
	// If Is User Not Zombie.
	&& zp_core_is_zombie(plr)
				
	// If Cvar Is Set On 1.
	&& get_pcvar_num(_pCvarVipGetInfectGrenade) == 1 ) {
				
		// Give Players Bombs.
		give_item( plr, "weapon_hegrenade" )
				
		// Set Amount Of Grenades.
		cs_set_user_bpammo( plr, CSW_HEGRENADE, get_pcvar_num(_pCvarVipGetInfectAmount) )
	}
}

