#include < amxmodx >
#include < hamsandwich >
	#include < rz_vip_core >

#define _PLUGIN    "[RZ] VIP Extra Damage"
#define _VERSION            "1.0"
#define _AUTHOR          "H.RED.ZONE"

// Cvars.
new _pCvarVipExtraDamageOn
	,_pCvarVipExtraDamageAmount

// This Will Be Called When Map Is Loaded.
public plugin_init( ) {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Cvars.
	_pCvarVipExtraDamageOn = register_cvar( "rz_vip_extra_damage_on", "1" )
	_pCvarVipExtraDamageAmount = register_cvar( "rz_vip_extra_damage_amount", "10" )
	
	// Register Ham Player Take Damage.
	RegisterHam( Ham_TakeDamage, "player", "_FwTakeDamage", 0 )
}

// Called When Player Takes Any Type Of Damage.
public _FwTakeDamage( Victim, Inflictor, Attacker, Float:Damage, Damage_bits ) { 
	        
	// If User Is Alive.
	if( is_user_alive(Attacker) 
	
	// And If User Is VIP.
	&& rz_is_user_vip(Attacker)
	
	// And If Cvar Is On.
	&& get_pcvar_num(_pCvarVipExtraDamageOn) == 1) {
		
		// We Return The Damage.
		SetHamParamFloat( 4, (Damage + get_pcvar_num(_pCvarVipExtraDamageAmount)) )
				
		// We Return Ham Ignore.
		return HAM_HANDLED 
	}
	
	// We Return Ham Ignore.
	return HAM_HANDLED
}
