#include < amxmodx >
#include < hamsandwich >
	#include < rz_vip_core >

#define _PLUGIN    "[RZ] VIP Fall Damage"
#define _VERSION            "1.0"
#define _AUTHOR          "H.RED.ZONE"

// Cvars.
new _pCvarVipFallDmg

// This Will Be Called When Map Is Loaded.
public plugin_init( ) {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Cvars.
	_pCvarVipFallDmg = register_cvar( "rz_vip_block_fall_dmg", "1" )
	
	// Register Ham Player Take Damage.
	RegisterHam( Ham_TakeDamage, "player", "FW__TakeDamage" )
}

// Called When Player Takes Any Type Of Damage.
public FW__TakeDamage( plr, iInflictor, iAttacker, Float:damage, damage_type ) {
	
	// If User Is VIP.
	if( rz_is_user_vip(plr) ) {
	
		// If Damage Type Is Fall Damage.
		if( damage_type == (1<<5) 
		
		// And Are Cvar Is Set At One.
		&& get_pcvar_num(_pCvarVipFallDmg) == 1 ) {
			
			// We Return The Damage.
			SetHamReturnInteger(0)
			
			// And Stop It.
			return HAM_SUPERCEDE
		}
	}
	
	// We Return Ham Ignore.
    	return HAM_IGNORED
}
