#include < amxmodx >
#include < zp50_items >
	#include < rz_vip_core >

#define _PLUGIN       "[RZ] VIP Immune"
#define _VERSION            "1.0"
#define _AUTHOR          "H.RED.ZONE"

// Cvars.
new _pCvarVipFireImmune
	,_pCvarVipIceImmune

// This Will Be Called When Map Is Loaded.
public plugin_init( ) {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Cvars.
	_pCvarVipFireImmune = register_cvar( "rz_vip_fire_immune", "0" )
	_pCvarVipIceImmune = register_cvar( "rz_vip_ice_immune", "0" )
}

// Called When Player Should Be Set On Freeze.
public zp_fw_grenade_frost_pre( plr ) {
	
	// If Is User Alive.
	if(is_user_alive(plr) 
	
	// And If User Is VIP.
	&& rz_is_user_vip(plr) 
	
	// If Cvar Is 1.
	&& get_pcvar_num(_pCvarVipIceImmune) == 1) {
	
		// Block Setting Frozen
		return PLUGIN_HANDLED
	}
		
	// Else Just Continue To Work Normally.
	return PLUGIN_CONTINUE
}

// Called When Player Should Be Set On Fire.
public zp_fw_grenade_fire_pre( plr ) {
	
	// If Is User Alive.
	if(is_user_alive(plr) 
	
	// And If User Is VIP.
	&& rz_is_user_vip(plr) 
	
	// If Cvar Is 1.
	&& get_pcvar_num(_pCvarVipFireImmune) == 1) {
	
		// Block Setting Fire.
		return PLUGIN_HANDLED
	}
		
	// Else Just Continue To Work Normally.
	return PLUGIN_CONTINUE
}
