#include < amxmodx >
#include < fakemeta >
#include < hamsandwich >
#include < xs >
	#include < rz_vip_core >

#define _PLUGIN     "[RZ] VIP No Recoil"
#define _VERSION           "1.0"
#define _AUTHOR         "H.RED.ZONE"

// Angle Float.
new Float: cl_pushangle[33][3]

// Cvars.
new _pCvarVipNoRecoil

// Weapon Bitsum.
const WEAPONS_BITSUM = (1<<CSW_KNIFE|1<<CSW_HEGRENADE|1<<CSW_FLASHBANG|1<<CSW_SMOKEGRENADE|1<<CSW_C4)

// This Will Be Called When Map Is Loaded.
public plugin_init( ) {
	
	// Register Plugin.
	register_plugin( _PLUGIN, _VERSION, _AUTHOR )
	
	// Cvars.
	_pCvarVipNoRecoil = register_cvar( "rz_vip_no_recoil", "1" )
	
	// Setting Event For No Recoil.
	new weapon_name[24]
	
	for ( new i = 1; i <= 30; i++ ) {
	
		// Weapons Are..
		if ( !(WEAPONS_BITSUM & 1 << i) 
		
		// Get Names.
		&& get_weaponname(i, weapon_name, 23) ) {
			
			// Then Register Ham.
			RegisterHam( Ham_Weapon_PrimaryAttack, weapon_name, "_FW_Weapon_PrimaryAttack_Pre" )
			RegisterHam( Ham_Weapon_PrimaryAttack, weapon_name, "_FW_Weapon_PrimaryAttack_Post", 1 )
		}
	}
}

// Primary Weapon Attack Pre.
public _FW_Weapon_PrimaryAttack_Pre( entity ) {
	
	// Id Is Entity.
	new id = pev( entity, pev_owner )

	// If Is User VIP.
	if ( rz_is_user_vip(id) 
	
	// And Cvar Is ON.
	&& get_pcvar_num(_pCvarVipNoRecoil) == 1 ) {
		
		// Pev Set Angle.
		pev( id, pev_punchangle, cl_pushangle[id] )
		return HAM_IGNORED;
	}
	
	// We Return Ham Ignore.
	return HAM_IGNORED;
}

// Primary Weapon Attack Post.
public _FW_Weapon_PrimaryAttack_Post(entity) {
	new id = pev(entity, pev_owner)

	// If Is User VIP.
	if ( rz_is_user_vip(id) 
	
	// And Cvar Is ON.
	&& get_pcvar_num(_pCvarVipNoRecoil) == 1 ) {
		
		// Push Float
		new Float: push[3]
		
		// Pev Angle.
		pev(id, pev_punchangle, push)
		
		// xs Angles.
		xs_vec_sub(push, cl_pushangle[id], push)
		xs_vec_mul_scalar(push, 0.0, push)
		xs_vec_add(push, cl_pushangle[id], push)
		set_pev(id, pev_punchangle, push)
		
		// We Return Ham Ignore.
		return HAM_IGNORED;
	}
	
	// We Return Ham Ignore.
	return HAM_IGNORED;
}

